spark-user mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Ted Yu <yuzhih...@gmail.com>
Subject Re: Compile error since Spark 1.2.0
Date Sun, 28 Dec 2014 05:29:33 GMT
Please see:
[SPARK-3930] [SPARK-3933] Support fixed-precision decimal in SQL, and some
optimizations

Cheers

On Sat, Dec 27, 2014 at 7:20 PM, zigen <dbviewer.zigen@gmail.com> wrote:

> Compile error from Spark 1.2.0
>
>
> Hello , I am zigen.
>
> I am using the Spark SQL 1.1.0.
>
> I want to use the Spark SQL 1.2.0.
>
>
> but my Spark application is a compile error.
>
> Spark 1.1.0 had a DataType.DecimalType.
>
> but Spark1.2.0 had not DataType.DecimalType.
>
> Why ?
>
>
> JavaDoc (Spark 1.1.0)
>
> http://people.apache.org/~pwendell/spark-1.1.0-rc1-docs/api/java/org/apache/spark/sql/api/java/DataType.html
>
>
> JavaDoc (Spark 1.2.0)
>
> http://people.apache.org/~pwendell/spark-1.2.0-rc1-docs/api/java/org/apache/spark/sql/api/java/DataType.html
>
>
> programing guild (Spark 1.2.0)
>
> https://spark.apache.org/docs/latest/sql-programming-guide.html#spark-sql-datatype-reference
>
>
>

Mime
View raw message